Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Class ApplicationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.portable.ApplicationException

All Implemented Interfaces:
  Serializable

public class ApplicationException
extends Exception

This class is used for reporting application level exceptions between ORBs and stubs.

Constructor Summary
`ApplicationException(String id, InputStream ins)` Constructs an ApplicationException from the CORBA repository ID of the exception and an input stream from which the exception data can be read as its parameters.

Method Summary
`String` | `getId()` Returns the CORBA repository ID of the exception without removing it from the exceptions input stream.
`InputStream` | `getInputStream()` Returns the input stream from which the exception data can be read as its parameters.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationException

    public ApplicationException(String id,
                                InputStream ins)

  Constructs an ApplicationException from the CORBA repository ID of the exception and an input stream from which the exception data can be read as its parameters.

Parameters:
  `id` - the repository id of the user exception
  `ins` - the stream which contains the user exception data

Method Detail

### getId

    public String getId()

  Returns the CORBA repository ID of the exception without removing it from the exceptions input stream.

  Returns:
    The CORBA repository ID of this exception

### getInputStream

    public InputStream getInputStream()

  Returns the input stream from which the exception data can be read as its parameters.

  Returns:
    The stream which contains the user exception data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.